diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -18095,32 +18136,32 @@ module Tables = struct
           let _1 =
             let x =
               let _1 = 
-# 887 "parsing/parser.mly"
+# 895 "parsing/parser.mly"
     ( [] )
-# 18101 "parsing/parser.ml"
+# 18142 "parsing/parser.ml"
                in
               
-# 1117 "parsing/parser.mly"
+# 1125 "parsing/parser.mly"
     ( _1 )
-# 18106 "parsing/parser.ml"
+# 18147 "parsing/parser.ml"
               
             in
             
 # 183 "<standard.mly>"
     ( x )
-# 18112 "parsing/parser.ml"
+# 18153 "parsing/parser.ml"
             
           in
           
-# 1129 "parsing/parser.mly"
+# 1137 "parsing/parser.mly"
       ( _1 )
-# 18118 "parsing/parser.ml"
+# 18159 "parsing/parser.ml"
           
         in
         
 # 213 "<standard.mly>"
     ( x :: xs )
-# 18124 "parsing/parser.ml"
+# 18165 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18172,58 +18213,58 @@ module Tables = struct
                   let _1 =
                     let _1 =
                       let attrs = 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 18178 "parsing/parser.ml"
+# 18219 "parsing/parser.ml"
                        in
                       
-# 1308 "parsing/parser.mly"
+# 1316 "parsing/parser.mly"
     ( mkstrexp e attrs )
-# 18183 "parsing/parser.ml"
+# 18224 "parsing/parser.ml"
                       
                     in
                     
-# 831 "parsing/parser.mly"
+# 839 "parsing/parser.mly"
   ( Ptop_def [_1] )
-# 18189 "parsing/parser.ml"
+# 18230 "parsing/parser.ml"
                     
                   in
                   let _startpos__1_ = _startpos_e_ in
                   let _startpos = _startpos__1_ in
                   
-# 829 "parsing/parser.mly"
+# 837 "parsing/parser.mly"
   ( text_def _startpos @ [_1] )
-# 18197 "parsing/parser.ml"
+# 18238 "parsing/parser.ml"
                   
                 in
                 
-# 889 "parsing/parser.mly"
+# 897 "parsing/parser.mly"
     ( x )
-# 18203 "parsing/parser.ml"
+# 18244 "parsing/parser.ml"
                 
               in
               
-# 1117 "parsing/parser.mly"
+# 1125 "parsing/parser.mly"
     ( _1 )
-# 18209 "parsing/parser.ml"
+# 18250 "parsing/parser.ml"
               
             in
             
 # 183 "<standard.mly>"
     ( x )
-# 18215 "parsing/parser.ml"
+# 18256 "parsing/parser.ml"
             
           in
           
-# 1129 "parsing/parser.mly"
+# 1137 "parsing/parser.mly"
       ( _1 )
-# 18221 "parsing/parser.ml"
+# 18262 "parsing/parser.ml"
           
         in
         
 # 213 "<standard.mly>"
     ( x :: xs )
-# 18227 "parsing/parser.ml"
+# 18268 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18255,27 +18296,27 @@ module Tables = struct
         let _v : (Parsetree.toplevel_phrase list list) = let x =
           let _1 =
             let _1 = 
-# 831 "parsing/parser.mly"
+# 839 "parsing/parser.mly"
   ( Ptop_def [_1] )
-# 18261 "parsing/parser.ml"
+# 18302 "parsing/parser.ml"
              in
             let _startpos = _startpos__1_ in
             
-# 829 "parsing/parser.mly"
+# 837 "parsing/parser.mly"
   ( text_def _startpos @ [_1] )
-# 18267 "parsing/parser.ml"
+# 18308 "parsing/parser.ml"
             
           in
           
-# 1129 "parsing/parser.mly"
+# 1137 "parsing/parser.mly"
       ( _1 )
-# 18273 "parsing/parser.ml"
+# 18314 "parsing/parser.ml"
           
         in
         
 # 213 "<standard.mly>"
     ( x :: xs )
-# 18279 "parsing/parser.ml"
+# 18320 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18310,29 +18351,29 @@ module Tables = struct
               let _endpos = _endpos__1_ in
               let _startpos = _startpos__1_ in
               
-# 840 "parsing/parser.mly"
+# 848 "parsing/parser.mly"
   ( mark_rhs_docs _startpos _endpos;
     _1 )
-# 18317 "parsing/parser.ml"
+# 18358 "parsing/parser.ml"
               
             in
             let _startpos = _startpos__1_ in
             
-# 829 "parsing/parser.mly"
+# 837 "parsing/parser.mly"
   ( text_def _startpos @ [_1] )
-# 18324 "parsing/parser.ml"
+# 18365 "parsing/parser.ml"
             
           in
           
-# 1129 "parsing/parser.mly"
+# 1137 "parsing/parser.mly"
       ( _1 )
-# 18330 "parsing/parser.ml"
+# 18371 "parsing/parser.ml"
           
         in
         
 # 213 "<standard.mly>"
     ( x :: xs )
-# 18336 "parsing/parser.ml"
+# 18377 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18371,7 +18412,7 @@ module Tables = struct
         let _v : ((Longident.t Asttypes.loc * Parsetree.pattern) list * unit option) = let _2 = 
 # 124 "<standard.mly>"
     ( None )
-# 18375 "parsing/parser.ml"
+# 18416 "parsing/parser.ml"
          in
         let x =
           let label =
@@ -18379,9 +18420,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 18385 "parsing/parser.ml"
+# 18426 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -18389,7 +18430,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2767 "parsing/parser.mly"
+# 2787 "parsing/parser.mly"
     ( let label, pat =
         match opat with
         | None ->
@@ -18403,13 +18444,13 @@ module Tables = struct
       in
       label, mkpat_opt_constraint ~loc:_sloc pat octy
     )
-# 18407 "parsing/parser.ml"
+# 18448 "parsing/parser.ml"
           
         in
         
-# 1056 "parsing/parser.mly"
+# 1064 "parsing/parser.mly"
     ( [x], None )
-# 18413 "parsing/parser.ml"
+# 18454 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18455,7 +18496,7 @@ module Tables = struct
         let _v : ((Longident.t Asttypes.loc * Parsetree.pattern) list * unit option) = let _2 = 
 # 126 "<standard.mly>"
     ( Some x )
-# 18459 "parsing/parser.ml"
+# 18500 "parsing/parser.ml"
          in
         let x =
           let label =
@@ -18463,9 +18504,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 18469 "parsing/parser.ml"
+# 18510 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -18473,7 +18514,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2767 "parsing/parser.mly"
+# 2787 "parsing/parser.mly"
     ( let label, pat =
         match opat with
         | None ->
@@ -18487,13 +18528,13 @@ module Tables = struct
       in
       label, mkpat_opt_constraint ~loc:_sloc pat octy
     )
-# 18491 "parsing/parser.ml"
+# 18532 "parsing/parser.ml"
           
         in
         
-# 1056 "parsing/parser.mly"
+# 1064 "parsing/parser.mly"
     ( [x], None )
-# 18497 "parsing/parser.ml"
+# 18538 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18556,9 +18597,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 18562 "parsing/parser.ml"
+# 18603 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -18566,7 +18607,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2767 "parsing/parser.mly"
+# 2787 "parsing/parser.mly"
     ( let label, pat =
         match opat with
         | None ->
@@ -18580,13 +18621,13 @@ module Tables = struct
       in
       label, mkpat_opt_constraint ~loc:_sloc pat octy
     )
-# 18584 "parsing/parser.ml"
+# 18625 "parsing/parser.ml"
           
         in
         
-# 1058 "parsing/parser.mly"
+# 1066 "parsing/parser.mly"
     ( [x], Some y )
-# 18590 "parsing/parser.ml"
+# 18631 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18642,9 +18683,9 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 18648 "parsing/parser.ml"
+# 18689 "parsing/parser.ml"
             
           in
           let _startpos_label_ = _startpos__1_ in
@@ -18652,7 +18693,7 @@ module Tables = struct
           let _symbolstartpos = _startpos_label_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2767 "parsing/parser.mly"
+# 2787 "parsing/parser.mly"
     ( let label, pat =
         match opat with
         | None ->
@@ -18666,14 +18707,14 @@ module Tables = struct
       in
       label, mkpat_opt_constraint ~loc:_sloc pat octy
     )
-# 18670 "parsing/parser.ml"
+# 18711 "parsing/parser.ml"
           
         in
         
-# 1062 "parsing/parser.mly"
+# 1070 "parsing/parser.mly"
     ( let xs, y = tail in
       x :: xs, y )
-# 18677 "parsing/parser.ml"
+# 18718 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18710,9 +18751,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.case) = 
-# 2525 "parsing/parser.mly"
+# 2545 "parsing/parser.mly"
       ( Exp.case _1 _3 )
-# 18716 "parsing/parser.ml"
+# 18757 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18763,9 +18804,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.case) = 
-# 2527 "parsing/parser.mly"
+# 2547 "parsing/parser.mly"
       ( Exp.case _1 ~guard:_3 _5 )
-# 18769 "parsing/parser.ml"
+# 18810 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18803,9 +18844,9 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.case) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         
-# 2529 "parsing/parser.mly"
+# 2549 "parsing/parser.mly"
       ( Exp.case _1 (Exp.unreachable ~loc:(make_loc _loc__3_) ()) )
-# 18809 "parsing/parser.ml"
+# 18850 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18866,9 +18907,9 @@ module Tables = struct
         let _1_inlined1 : (Parsetree.core_type) = Obj.magic _1_inlined1 in
         let _2 : unit = Obj.magic _2 in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 18872 "parsing/parser.ml"
+# 18913 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -18877,49 +18918,49 @@ module Tables = struct
           let _6 =
             let _1 = _1_inlined3 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 18883 "parsing/parser.ml"
+# 18924 "parsing/parser.ml"
             
           in
           let _endpos__6_ = _endpos__1_inlined3_ in
           let _4 =
             let _1 = _1_inlined2 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 18892 "parsing/parser.ml"
+# 18933 "parsing/parser.ml"
             
           in
           let _endpos__4_ = _endpos__1_inlined2_ in
           let _3 =
             let _1 = _1_inlined1 in
             
-# 3184 "parsing/parser.mly"
+# 3204 "parsing/parser.mly"
     ( _1 )
-# 18901 "parsing/parser.ml"
+# 18942 "parsing/parser.ml"
             
           in
           let _1 =
             let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 18908 "parsing/parser.ml"
+# 18949 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 18916 "parsing/parser.ml"
+# 18957 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__6_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3394 "parsing/parser.mly"
+# 3414 "parsing/parser.mly"
     ( let info =
         match rhs_info _endpos__4_ with
         | Some _ as info_before_semi -> info_before_semi
@@ -18927,13 +18968,13 @@ module Tables = struct
       in
       let attrs = add_info_attrs info (_4 @ _6) in
       Of.tag ~loc:(make_loc _sloc) ~attrs _1 _3 )
-# 18931 "parsing/parser.ml"
+# 18972 "parsing/parser.ml"
           
         in
         
-# 3375 "parsing/parser.mly"
+# 3395 "parsing/parser.mly"
       ( let (f, c) = tail in (head :: f, c) )
-# 18937 "parsing/parser.ml"
+# 18978 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -18974,15 +19015,15 @@ module Tables = struct
           let _symbolstartpos = _startpos_ty_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3405 "parsing/parser.mly"
+# 3425 "parsing/parser.mly"
     ( Of.inherit_ ~loc:(make_loc _sloc) ty )
-# 18980 "parsing/parser.ml"
+# 19021 "parsing/parser.ml"
           
         in
         
-# 3375 "parsing/parser.mly"
+# 3395 "parsing/parser.mly"
       ( let (f, c) = tail in (head :: f, c) )
-# 18986 "parsing/parser.ml"
+# 19027 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19036,9 +19077,9 @@ module Tables = struct
         let _1_inlined1 : (Parsetree.core_type) = Obj.magic _1_inlined1 in
         let _2 : unit = Obj.magic _2 in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19042 "parsing/parser.ml"
+# 19083 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -19047,49 +19088,49 @@ module Tables = struct
           let _6 =
             let _1 = _1_inlined3 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19053 "parsing/parser.ml"
+# 19094 "parsing/parser.ml"
             
           in
           let _endpos__6_ = _endpos__1_inlined3_ in
           let _4 =
             let _1 = _1_inlined2 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19062 "parsing/parser.ml"
+# 19103 "parsing/parser.ml"
             
           in
           let _endpos__4_ = _endpos__1_inlined2_ in
           let _3 =
             let _1 = _1_inlined1 in
             
-# 3184 "parsing/parser.mly"
+# 3204 "parsing/parser.mly"
     ( _1 )
-# 19071 "parsing/parser.ml"
+# 19112 "parsing/parser.ml"
             
           in
           let _1 =
             let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19078 "parsing/parser.ml"
+# 19119 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19086 "parsing/parser.ml"
+# 19127 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__6_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3394 "parsing/parser.mly"
+# 3414 "parsing/parser.mly"
     ( let info =
         match rhs_info _endpos__4_ with
         | Some _ as info_before_semi -> info_before_semi
@@ -19097,13 +19138,13 @@ module Tables = struct
       in
       let attrs = add_info_attrs info (_4 @ _6) in
       Of.tag ~loc:(make_loc _sloc) ~attrs _1 _3 )
-# 19101 "parsing/parser.ml"
+# 19142 "parsing/parser.ml"
           
         in
         
-# 3378 "parsing/parser.mly"
+# 3398 "parsing/parser.mly"
       ( [head], Closed )
-# 19107 "parsing/parser.ml"
+# 19148 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19137,15 +19178,15 @@ module Tables = struct
           let _symbolstartpos = _startpos_ty_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3405 "parsing/parser.mly"
+# 3425 "parsing/parser.mly"
     ( Of.inherit_ ~loc:(make_loc _sloc) ty )
-# 19143 "parsing/parser.ml"
+# 19184 "parsing/parser.ml"
           
         in
         
-# 3378 "parsing/parser.mly"
+# 3398 "parsing/parser.mly"
       ( [head], Closed )
-# 19149 "parsing/parser.ml"
+# 19190 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19185,9 +19226,9 @@ module Tables = struct
         let _1_inlined1 : (Parsetree.core_type) = Obj.magic _1_inlined1 in
         let _2 : unit = Obj.magic _2 in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19191 "parsing/parser.ml"
+# 19232 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -19196,50 +19237,50 @@ module Tables = struct
           let _4 =
             let _1 = _1_inlined2 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19202 "parsing/parser.ml"
+# 19243 "parsing/parser.ml"
             
           in
           let _endpos__4_ = _endpos__1_inlined2_ in
           let _3 =
             let _1 = _1_inlined1 in
             
-# 3184 "parsing/parser.mly"
+# 3204 "parsing/parser.mly"
     ( _1 )
-# 19211 "parsing/parser.ml"
+# 19252 "parsing/parser.ml"
             
           in
           let _1 =
             let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19218 "parsing/parser.ml"
+# 19259 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19226 "parsing/parser.ml"
+# 19267 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__4_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3387 "parsing/parser.mly"
+# 3407 "parsing/parser.mly"
     ( let info = symbol_info _endpos in
       let attrs = add_info_attrs info _4 in
       Of.tag ~loc:(make_loc _sloc) ~attrs _1 _3 )
-# 19237 "parsing/parser.ml"
+# 19278 "parsing/parser.ml"
           
         in
         
-# 3381 "parsing/parser.mly"
+# 3401 "parsing/parser.mly"
       ( [head], Closed )
-# 19243 "parsing/parser.ml"
+# 19284 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19266,15 +19307,15 @@ module Tables = struct
           let _symbolstartpos = _startpos_ty_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3405 "parsing/parser.mly"
+# 3425 "parsing/parser.mly"
     ( Of.inherit_ ~loc:(make_loc _sloc) ty )
-# 19272 "parsing/parser.ml"
+# 19313 "parsing/parser.ml"
           
         in
         
-# 3381 "parsing/parser.mly"
+# 3401 "parsing/parser.mly"
       ( [head], Closed )
-# 19278 "parsing/parser.ml"
+# 19319 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19297,9 +19338,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.object_field list * Asttypes.closed_flag) = 
-# 3383 "parsing/parser.mly"
+# 3403 "parsing/parser.mly"
       ( [], Open )
-# 19303 "parsing/parser.ml"
+# 19344 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19344,9 +19385,9 @@ module Tables = struct
         let _1_inlined2 : (Parsetree.core_type) = Obj.magic _1_inlined2 in
         let _5 : unit = Obj.magic _5 in
         let _1_inlined1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19350 "parsing/parser.ml"
+# 19391 "parsing/parser.ml"
         ) = Obj.magic _1_inlined1 in
         let private_ : (Asttypes.private_flag) = Obj.magic private_ in
         let _1 : (Parsetree.attributes) = Obj.magic _1 in
@@ -19358,41 +19399,41 @@ module Tables = struct
   Parsetree.attributes) = let ty =
           let _1 = _1_inlined2 in
           
-# 3180 "parsing/parser.mly"
+# 3200 "parsing/parser.mly"
     ( _1 )
-# 19364 "parsing/parser.ml"
+# 19405 "parsing/parser.ml"
           
         in
         let label =
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined1_, _startpos__1_inlined1_, _1_inlined1) in
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19372 "parsing/parser.ml"
+# 19413 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19380 "parsing/parser.ml"
+# 19421 "parsing/parser.ml"
           
         in
         let attrs = 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19386 "parsing/parser.ml"
+# 19427 "parsing/parser.ml"
          in
         let _1 = 
-# 3646 "parsing/parser.mly"
+# 3674 "parsing/parser.mly"
                                                 ( Fresh )
-# 19391 "parsing/parser.ml"
+# 19432 "parsing/parser.ml"
          in
         
-# 1875 "parsing/parser.mly"
+# 1883 "parsing/parser.mly"
       ( (label, private_, Cfk_virtual ty), attrs )
-# 19396 "parsing/parser.ml"
+# 19437 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19430,9 +19471,9 @@ module Tables = struct
         } = _menhir_stack in
         let _5 : (Parsetree.expression) = Obj.magic _5 in
         let _1_inlined1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19436 "parsing/parser.ml"
+# 19477 "parsing/parser.ml"
         ) = Obj.magic _1_inlined1 in
         let _3 : (Asttypes.private_flag) = Obj.magic _3 in
         let _1 : (Parsetree.attributes) = Obj.magic _1 in
@@ -19444,36 +19485,36 @@ module Tables = struct
   Parsetree.attributes) = let _4 =
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined1_, _startpos__1_inlined1_, _1_inlined1) in
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19450 "parsing/parser.ml"
+# 19491 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19458 "parsing/parser.ml"
+# 19499 "parsing/parser.ml"
           
         in
         let _2 = 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19464 "parsing/parser.ml"
+# 19505 "parsing/parser.ml"
          in
         let _1 = 
-# 3649 "parsing/parser.mly"
+# 3677 "parsing/parser.mly"
                                                 ( Fresh )
-# 19469 "parsing/parser.ml"
+# 19510 "parsing/parser.ml"
          in
         
-# 1877 "parsing/parser.mly"
+# 1885 "parsing/parser.mly"
       ( let e = _5 in
         let loc = Location.(e.pexp_loc.loc_start, e.pexp_loc.loc_end) in
         (_4, _3,
         Cfk_concrete (_1, ghexp ~loc (Pexp_poly (e, None)))), _2 )
-# 19477 "parsing/parser.ml"
+# 19518 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19517,9 +19558,9 @@ module Tables = struct
         } = _menhir_stack in
         let _5 : (Parsetree.expression) = Obj.magic _5 in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19523 "parsing/parser.ml"
+# 19564 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let _3 : (Asttypes.private_flag) = Obj.magic _3 in
         let _1_inlined1 : (Parsetree.attributes) = Obj.magic _1_inlined1 in
@@ -19532,39 +19573,39 @@ module Tables = struct
   Parsetree.attributes) = let _4 =
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19538 "parsing/parser.ml"
+# 19579 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19546 "parsing/parser.ml"
+# 19587 "parsing/parser.ml"
           
         in
         let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19554 "parsing/parser.ml"
+# 19595 "parsing/parser.ml"
           
         in
         let _1 = 
-# 3650 "parsing/parser.mly"
+# 3678 "parsing/parser.mly"
                                                 ( Override )
-# 19560 "parsing/parser.ml"
+# 19601 "parsing/parser.ml"
          in
         
-# 1877 "parsing/parser.mly"
+# 1885 "parsing/parser.mly"
       ( let e = _5 in
         let loc = Location.(e.pexp_loc.loc_start, e.pexp_loc.loc_end) in
         (_4, _3,
         Cfk_concrete (_1, ghexp ~loc (Pexp_poly (e, None)))), _2 )
-# 19568 "parsing/parser.ml"
+# 19609 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19623,9 +19664,9 @@ module Tables = struct
         let _1_inlined2 : (Parsetree.core_type) = Obj.magic _1_inlined2 in
         let _5 : unit = Obj.magic _5 in
         let _1_inlined1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19629 "parsing/parser.ml"
+# 19670 "parsing/parser.ml"
         ) = Obj.magic _1_inlined1 in
         let _3 : (Asttypes.private_flag) = Obj.magic _3 in
         let _1 : (Parsetree.attributes) = Obj.magic _1 in
@@ -19637,45 +19678,45 @@ module Tables = struct
   Parsetree.attributes) = let _6 =
           let _1 = _1_inlined2 in
           
-# 3180 "parsing/parser.mly"
+# 3200 "parsing/parser.mly"
     ( _1 )
-# 19643 "parsing/parser.ml"
+# 19684 "parsing/parser.ml"
           
         in
         let _startpos__6_ = _startpos__1_inlined2_ in
         let _4 =
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined1_, _startpos__1_inlined1_, _1_inlined1) in
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19652 "parsing/parser.ml"
+# 19693 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19660 "parsing/parser.ml"
+# 19701 "parsing/parser.ml"
           
         in
         let _2 = 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19666 "parsing/parser.ml"
+# 19707 "parsing/parser.ml"
          in
         let _1 = 
-# 3649 "parsing/parser.mly"
+# 3677 "parsing/parser.mly"
                                                 ( Fresh )
-# 19671 "parsing/parser.ml"
+# 19712 "parsing/parser.ml"
          in
         
-# 1883 "parsing/parser.mly"
+# 1891 "parsing/parser.mly"
       ( let poly_exp =
           let loc = (_startpos__6_, _endpos__8_) in
           ghexp ~loc (Pexp_poly(_8, Some _6)) in
         (_4, _3, Cfk_concrete (_1, poly_exp)), _2 )
-# 19679 "parsing/parser.ml"
+# 19720 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19740,9 +19781,9 @@ module Tables = struct
         let _1_inlined3 : (Parsetree.core_type) = Obj.magic _1_inlined3 in
         let _5 : unit = Obj.magic _5 in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19746 "parsing/parser.ml"
+# 19787 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let _3 : (Asttypes.private_flag) = Obj.magic _3 in
         let _1_inlined1 : (Parsetree.attributes) = Obj.magic _1_inlined1 in
@@ -19755,48 +19796,48 @@ module Tables = struct
   Parsetree.attributes) = let _6 =
           let _1 = _1_inlined3 in
           
-# 3180 "parsing/parser.mly"
+# 3200 "parsing/parser.mly"
     ( _1 )
-# 19761 "parsing/parser.ml"
+# 19802 "parsing/parser.ml"
           
         in
         let _startpos__6_ = _startpos__1_inlined3_ in
         let _4 =
           let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
           let _1 = 
-# 3409 "parsing/parser.mly"
+# 3429 "parsing/parser.mly"
                                                 ( _1 )
-# 19770 "parsing/parser.ml"
+# 19811 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 19778 "parsing/parser.ml"
+# 19819 "parsing/parser.ml"
           
         in
         let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 19786 "parsing/parser.ml"
+# 19827 "parsing/parser.ml"
           
         in
         let _1 = 
-# 3650 "parsing/parser.mly"
+# 3678 "parsing/parser.mly"
                                                 ( Override )
-# 19792 "parsing/parser.ml"
+# 19833 "parsing/parser.ml"
          in
         
-# 1883 "parsing/parser.mly"
+# 1891 "parsing/parser.mly"
       ( let poly_exp =
           let loc = (_startpos__6_, _endpos__8_) in
           ghexp ~loc (Pexp_poly(_8, Some _6)) in
         (_4, _3, Cfk_concrete (_1, poly_exp)), _2 )
-# 19800 "parsing/parser.ml"
+# 19841 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -19876,9 +19917,9 @@ module Tables = struct
         let _6 : unit = Obj.magic _6 in
         let _5 : unit = Obj.magic _5 in
         let _1_inlined1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 19882 "parsing/parser.ml"
+# 19923 "parsing/parser.ml"
         ) = Obj.magic _1_inlined1 in
         let _3 : (Asttypes.private_flag) = Obj.magic _3 in
         let _1 : (Parsetree.attributes) = Obj.magic _1 in
